0

At first I thought this might have been a missing font issue but as far as I can tell from the output, GS is finding the font just fine..

Any hints as to what the problem might be?

$ /usr/bin/gs -dBATCH -dNOPAUSE -sDEVICE=pngalpha -sOutputFile="$RAWPNG" "$PDF_PATH/$PDF_FILENAME"


GNU Ghostscript 7.07 (2003-05-17)
Copyright (C) 2003 artofcode LLC, Benicia, CA.  All rights reserved.
This software comes with NO WARRANTY: see the file PUBLIC for details.
Loading NimbusRomNo9L-Regu font from /usr/share/fonts/default/Type1/n021003l.pfb... 2471956 1102101 1642520 351150 0 done.
Using NimbusRomanNo9L-Regu font for NimbusRomNo9L-Regu.
Loading NimbusSanL-Regu font from /usr/share/fonts/default/Type1/n019003l.pfb... 2846916 1446739 1682712 365686 0 done.
Using NimbusSansL-Regu font for NimbusSanL-Regu.
Error: /undefined in /BXlevel
Operand stack:
   --dict:2/2(L)--   1   --dict:6/6(ro)(G)--   xref
Execution stack:
   %interp_exit   .runexec2   --nostringval--   --nostringval--   --nostringval--   2   %stopped_push   --nostringval--   --nostringval--   --nostringval--   false   1   %stopped_push   1   3   %oparray_pop   1   3   %oparray_pop   1   3   %oparray_pop   --nostringval--   --nostringval--   --nostringval--   --nostringval--   %loop_continue   --nostringval--   false   1   %stopped_push   --nostringval--   %loop_continue   --nostringval--   --nostringval--   --nostringval--
Dictionary stack:
   --dict:1062/1123(ro)(G)--   --dict:0/20(G)--   --dict:93/200(L)--   --dict:93/200(L)--   --dict:97/127(ro)(G)--   --dict:229/230(ro)(G)--   --dict:16/24(L)--
Current allocation mode is local
GNU Ghostscript 7.07: Unrecoverable error, exit code 1
2

I'm noticing that you are using a very old GhostScript implementation. The error was reported to the GhostScript bug database in 2006 as bug #689876 (for releases 8.54 and 8.62) and should be fixed in more recent versions of the tool.

The error also crops up in a number of other bug reports (all quite old), but my main suggestion would be to try with a more recent GhostScript. The most recent release is 9.23.

  • Thanks. I was afraid of that. Unfortunately updating is out of the question. We'll have to send it over the wire to a newer server. – I wrestled a bear once. Aug 21 '18 at 14:58
  • @Occam'sRazor Hmmm.... your whole system seems outdated. If this is a production system, I would strongly suggest that you do a proper update, to patch security related issues if not for any other reason. – Kusalananda Aug 21 '18 at 15:49
  • Yeah, I know. We're updating things little by little. Not my call when specific things get done though. – I wrestled a bear once. Aug 21 '18 at 15:57

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.